<!DOCTYPE html>

<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="generator" content="Docutils 0.5: http://docutils.sourceforge.net/">
<title>Bitten: Build Notification</title>
<link rel="stylesheet" href="common/style/edgewall.css" type="text/css">
</head>
<body>
<div class="document" id="build-notification">
    <div id="navigation">
      <span class="projinfo">Bitten 0.6</span>
      <a href="index.html">Documentation Index</a>
    </div>
<h1 class="title">Build Notification</h1>
<div class="section" id="introduction">
<h1>Introduction</h1>
<p>Bitten includes a mechanism to send out notification mails whenever a build
has failed (or succeeded, if required).</p>
<p>The notification mails contain the revision number of the build, the author
name and the build log.</p>
<p>Notification Example:</p>
<div class="highlight"><pre>Failed build of MyProject [32]
---------------------------------------------------------------------

Changeset:             32 - &lt;http://trac.mydomain.com/changeset/32&gt;
Committed by:          author

Build Configuration:   main
Build Slave:           client
Build Number:          30 - &lt;http://trac.mydomain.com/build/main/30&gt;

Failed Steps:
Failure Log:
</pre></div>
</div>
<div class="section" id="configuration">
<h1>Configuration</h1>
<p>The mechanism employs the trac notification system and uses most of its
options of the <tt class="docutils literal"><span class="pre">[notification]</span></tt> section of <tt class="docutils literal"><span class="pre">trac.ini</span></tt>, specifically:</p>
<table border="1" class="docutils">
<colgroup>
<col width="33%">
<col width="67%">
</colgroup>
<thead valign="bottom">
<tr><th class="head">Option</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr><td><tt class="docutils literal"><span class="pre">smtp_enabled</span></tt></td>
<td>activates mail notifications</td>
</tr>
<tr><td><tt class="docutils literal"><span class="pre">smtp_default_domain</span></tt></td>
<td>the domain to be appended to not fully qualified
usernames</td>
</tr>
<tr><td><tt class="docutils literal"><span class="pre">smtp_server</span></tt></td>
<td>the smtp server to use</td>
</tr>
<tr><td><tt class="docutils literal"><span class="pre">smtp_user</span></tt></td>
<td>smtp server username</td>
</tr>
<tr><td><tt class="docutils literal"><span class="pre">smtp_password</span></tt></td>
<td>smtp server password</td>
</tr>
</tbody>
</table>
<p>For an indepth description of the trac notification system and its options
please refer to the <a class="reference external" href="http://trac.edgewall.org/wiki/TracNotification">Trac documentation</a>.</p>
<p>To further adjust the notification behaviour you can use the following
options:</p>
<table border="1" class="docutils">
<colgroup>
<col width="43%">
<col width="57%">
</colgroup>
<thead valign="bottom">
<tr><th class="head">Option</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr><td><tt class="docutils literal"><span class="pre">notify_on_failed_build</span></tt></td>
<td>notifies on failed builds (defaults to
<tt class="docutils literal"><span class="pre">True</span></tt>)</td>
</tr>
<tr><td><tt class="docutils literal"><span class="pre">notify_on_successful_build</span></tt></td>
<td>notifies on successful builds (defaults
to <tt class="docutils literal"><span class="pre">False</span></tt>)</td>
</tr>
</tbody>
</table>
<p>Configuration Example:</p>
<div class="highlight"><pre><span class="k">[notification]</span>
<span class="na">smtp_enabled</span> <span class="o">=</span> <span class="s">true</span>
<span class="na">smtp_default_domain</span> <span class="o">=</span> <span class="s">mydomain.com</span>
<span class="na">smtp_server</span> <span class="o">=</span> <span class="s">smtp.mydomain.com</span>
<span class="na">smtp_user</span> <span class="o">=</span> <span class="s">admin@mydomain.com</span>
<span class="na">smtp_password</span> <span class="o">=</span> <span class="s">12345</span>
<span class="na">notify_on_failed_build</span> <span class="o">=</span> <span class="s">true</span>
<span class="na">notify_on_successful_build</span> <span class="o">=</span> <span class="s">true</span>
</pre></div>
</div>
    <div id="footer">
      Visit the Bitten open source project at
      <a href="http://bitten.edgewall.org/">http://bitten.edgewall.org/</a>
    </div>
  </div>
</body>
</html>
